org.vertx.java.core.http.impl.ws

## Enum WebSocketFrame.FrameType

- java.lang.Object
- - java.lang.Enum<WebSocketFrame.FrameType>
  - - org.vertx.java.core.http.impl.ws.WebSocketFrame.FrameType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebSocketFrame.FrameType>

Enclosing interface:
  WebSocketFrame

    public static enum WebSocketFrame.FrameType
    extends java.lang.Enum<WebSocketFrame.FrameType>

List of all frame types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY`
`CLOSE`
`CONTINUATION`
`PING`
`PONG`
`TEXT`

### Method Summary

Methods
`static WebSocketFrame.FrameType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebSocketFrame.FrameType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTINUATION

    public static final WebSocketFrame.FrameType CONTINUATION

#### TEXT

    public static final WebSocketFrame.FrameType TEXT

#### BINARY

    public static final WebSocketFrame.FrameType BINARY

#### CLOSE

    public static final WebSocketFrame.FrameType CLOSE

#### PING

    public static final WebSocketFrame.FrameType PING

#### PONG

    public static final WebSocketFrame.FrameType PONG

### Method Detail

#### values

    public static WebSocketFrame.FrameType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebSocketFrame.FrameType c : WebSocketFrame.FrameType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebSocketFrame.FrameType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null